2018-05-25 10:08 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002815OpenFOAMFeaturepublic2018-02-02 19:25
Reportervencels 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version5.0 
Target VersionFixed in Versiondev 
Summary0002815: Splitting MPI_COMM_WORLD to allow multiple programs run simultaneously
DescriptionI am coupling OpenFOAM and Elmer using MPI. Both use MPI_COMM_WORLD for communication with each other and their own communicators (MPI_OF_WORLD and ELMER_COMM_WORLD) are used for local parallelization.

Example implementation is here:
https://github.com/jvencels/EOF-Library/tree/master/libs/commSplit

I propose to make changes in libPstream, the idea is as following:

    int myGlobalRank;
    MPI_Comm_rank(MPI_COMM_WORLD, &myGlobalRank);
    MPI_Comm_split(MPI_COMM_WORLD, 1, myGlobalRank, &Foam::PstreamGlobals::MPI_OF_WORLD);

    int numprocs;
    MPI_Comm_size(Foam::PstreamGlobals::MPI_OF_WORLD, &numprocs);
    int myRank;
    MPI_Comm_rank(Foam::PstreamGlobals::MPI_OF_WORLD, &myRank);

To my knowledge changes are affecting only libPstream.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009224

henry (manager)

This looks fine, I will integrate the change into OpenFOAM-dev.

~0009250

henry (manager)

Resolved in OpenFOAM-dev by commit 73e9b2804f03dfded194c0f1e4e1546a51ecc090
+Notes

-Issue History
Date Modified Username Field Change
2018-01-23 08:57 vencels New Issue
2018-01-26 19:33 henry Note Added: 0009224
2018-02-02 19:25 henry Assigned To => henry
2018-02-02 19:25 henry Status new => resolved
2018-02-02 19:25 henry Resolution open => fixed
2018-02-02 19:25 henry Fixed in Version => dev
2018-02-02 19:25 henry Note Added: 0009250
+Issue History